<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\Agence;

use App\Entity\Agence;
use App\Payload\ResponseApi;
use App\Repository\AgenceRepository;
use App\Repository\AntenneRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Contracts\HttpClient\HttpClientInterface;

#[AsController]
final class CreateAgenceRequestAction extends AbstractController
{
    public function __invoke(Request $request, AntenneRepository $antenneRepository, AgenceRepository $agenceRepository): mixed
    {
         /** @var \App\Entity\User $user */
         $user = $this->getUser();

        $agence = new Agence;
        $post_data = json_decode($request->getContent(), true);
        $antenne = null;
        if($post_data['antenne'] != null && $post_data['antenne'] != null) {
            $antenne = $antenneRepository->find($post_data['antenne']);
        }
       
        $agence->setAntenne($antenne);
        $agence->setLibelle($post_data['libelle']);
        $agence->setEstSupprimer(false);
        $agence->setCreatedAt(new \DateTimeImmutable());
        $agence->setUpdatedAt(new \DateTimeImmutable());
        $agence->setUpdatedBy($user->getId());
        $agence->setCreatedBy($user->getId());
        $agenceRepository->save($agence, true);
        
        //return new ResponseApi(true, "Thématique créée avec succès !", $agence);
        return $agence;
    }
}
