<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\CategoriePublication;

use App\Payload\ResponseApi;
use App\Repository\CategoriePublicationRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Component\String\Slugger\SluggerInterface;
use Symfony\Contracts\HttpClient\HttpClientInterface;

#[AsController]
final class UpdateCategoriePublicationRequestAction extends AbstractController
{
    public function __invoke(Request $request, SluggerInterface $slugger, CategoriePublicationRepository $categoriePublicationRepository): mixed
    {
        /** @var \App\Entity\User $user */
        $user = $this->getUser();

        $id = json_decode($request->get('id'), true);
        $post_data = json_decode($request->getContent(), true);

        $categoriePublication = $categoriePublicationRepository->find($id);
        
        $categoriePublication->setLibelle($post_data['libelle']);
        $categoriePublication->setEstSupprimer(false);
        $categoriePublication->setCreatedAt(new \DateTimeImmutable());
        $categoriePublication->setUpdatedAt(new \DateTimeImmutable());
        $categoriePublication->setUpdatedBy($user->getId());

        $records = $categoriePublicationRepository->findBy(['slug'=>$categoriePublication->getSlug()]);
        $nbRec = count($records);
        if ($nbRec > 0) {
            $slug = $categoriePublication->getSlug().'-'.mt_rand();
            $categoriePublication->setSlug($slug);
        }
        $categoriePublicationRepository->save($categoriePublication, true);
        
        //return new ResponseApi(true, "Thématique créée avec succès !", $categoriePublication);
        return $categoriePublication;
    }
}
