<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\Contact;

use App\Entity\Contact;
use App\Payload\ResponseApi;
use App\Repository\ContactRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Contracts\HttpClient\HttpClientInterface;

#[AsController]
final class CreateContactRequestAction extends AbstractController
{
    public function __invoke(Request $request, ContactRepository $categorieDocumentRepository): mixed
    {
         /** @var \App\Entity\User $user */
         $user = $this->getUser();

        $categorieDocument = new Contact;
        $post_data = json_decode($request->getContent(), true);
        
        $categorieDocument->setName($post_data['name']);
        $categorieDocument->setTel($post_data['tel']);
        $categorieDocument->setEmail($post_data['email']);
        $categorieDocument->setSubject($post_data['subject']);
        $categorieDocument->setContentMessage($post_data['contentMessage']);

        $categorieDocument->setEstSupprimer(false);
        $categorieDocument->setCreatedAt(new \DateTimeImmutable());
        $categorieDocument->setUpdatedAt(new \DateTimeImmutable());
        $categorieDocument->setUpdatedBy($user->getId());
        $categorieDocument->setCreatedBy($user->getId());
        $categorieDocumentRepository->save($categorieDocument, true);
        
        //return new ResponseApi(true, "Thématique créée avec succès !", $categorieDocument);
        return $categorieDocument;
    }
}
