<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\Contact;

use App\Payload\ResponseApi;
use App\Repository\ContactRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Contracts\HttpClient\HttpClientInterface;

#[AsController]
final class UpdateContactRequestAction extends AbstractController
{
    public function __invoke(Request $request, HttpClientInterface $client, ContactRepository $contactRepository): mixed
    {
        /** @var \App\Entity\User $user */
        $user = $this->getUser();

        $id = json_decode($request->get('id'), true);
        $post_data = json_decode($request->getContent(), true);

        $contact = $contactRepository->find($id);
        
        $contact->setName($post_data['name']);
        $contact->setTel($post_data['tel']);
        $contact->setEmail($post_data['email']);
        $contact->setSubject($post_data['subject']);
        $contact->setContentMessage($post_data['contentMessage']);

        $contact->setEstSupprimer(false);
        $contact->setCreatedAt(new \DateTimeImmutable());
        $contact->setUpdatedAt(new \DateTimeImmutable());
        $contact->setUpdatedBy($user->getId());
        $contactRepository->save($contact, true);
        
        //return new ResponseApi(true, "Thématique créée avec succès !", $contact);
        return $contact;
    }
}
