<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\Docutheque;

use App\Entity\Docutheque;
use App\Payload\ResponseApi;
use App\Repository\CategorieDocumentRepository;
use App\Repository\DocuthequeRepository;
use App\Repository\MediaObjectRepository;
use App\Repository\TagRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Contracts\HttpClient\HttpClientInterface;

#[AsController]
final class CreateDocuthequeRequestAction extends AbstractController
{
    public function __invoke(Request $request, DocuthequeRepository $docuthequeRepository, 
    CategorieDocumentRepository $categorieDocumentRepository, TagRepository $tagRepository, MediaObjectRepository $mediaObjectRepository): mixed
    {
        /** @var \App\Entity\User $user */
        $user = $this->getUser();

        $docutheque = new Docutheque;
        $post_data = json_decode($request->getContent(), true);

        $categorieDocument = null;
        if($post_data['categorieDocument'] != null && $post_data['categorieDocument'] != null) {
            $categorieDocument = $categorieDocumentRepository->find($post_data['categorieDocument']);
        }

        $mediaObject = null;
        if($post_data['mediaObject'] != null && $post_data['mediaObject'] != null) {
            $mediaObject = $mediaObjectRepository->find($post_data['mediaObject']);
        }

        foreach($post_data['tags'] as $idTag) {
            $tag = $tagRepository->find($idTag);
            $docutheque->addTag($tag);
        }

        $docutheque->setTitre($post_data['titre']);
        $docutheque->setContenu($post_data['contenu']);
        $docutheque->setEstPubliser($post_data['estPubliser']);
        $docutheque->setEstArchiver($post_data['estArchiver']);
        $docutheque->setAuteur($post_data['auteur']);
        $docutheque->setCategorieDocument($categorieDocument);
        $docutheque->setMediaObject($mediaObject);

        $docutheque->setEstSupprimer(false);
        $docutheque->setCreatedAt(new \DateTimeImmutable());
        $docutheque->setUpdatedAt(new \DateTimeImmutable());
        $docutheque->setUpdatedBy($user->getId());
        $docutheque->setCreatedBy($user->getId());
        $docuthequeRepository->save($docutheque, true);
        
        //return new ResponseApi(true, "Thématique créée avec succès !", $docutheque);
        return $docutheque;
    }
}
