<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\Faq;

use App\Entity\Faq;
use App\Payload\ResponseApi;
use App\Repository\FaqRepository;
use App\Repository\AntenneRepository;
use App\Repository\CategorieFaqRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Contracts\HttpClient\HttpClientInterface;

#[AsController]
final class CreateFaqRequestAction extends AbstractController
{
    public function __invoke(Request $request, CategorieFaqRepository $categorieFaqRepository, FaqRepository $faqRepository): mixed
    {
        /** @var \App\Entity\User $user */
        $user = $this->getUser();

        $faq = new Faq;
        $post_data = json_decode($request->getContent(), true);
        $categorieFaq = null;
        if($post_data['categorieFaq'] != null && $post_data['categorieFaq'] != null) {
            $categorieFaq = $categorieFaqRepository->find($post_data['categorieFaq']);
        }
       
        $faq->setCategorieFaq($categorieFaq);
        $faq->setQuestion($post_data['question']);
        $faq->setQuestion($post_data['reponse']);

        $faq->setEstSupprimer(false);
        $faq->setCreatedAt(new \DateTimeImmutable());
        $faq->setUpdatedAt(new \DateTimeImmutable());
        $faq->setUpdatedBy($user->getId());
        $faq->setCreatedBy($user->getId());
        $faqRepository->save($faq, true);
        
        //return new ResponseApi(true, "Thématique créée avec succès !", $faq);
        return $faq;
    }
}
