<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\MediaObject;

use App\Payload\ResponseApi;
use App\Repository\MediaObjectRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;

#[AsController]
final class DeleteMediaObjectRequestAction extends AbstractController
{
    public function __invoke(Request $request,  MediaObjectRepository $mediaObjectRepository): mixed
    {
        /** @var \App\Entity\User $user */
        $user = $this->getUser();
        
        $post_data = json_decode($request->get('id'), true);
        
        $mediaObject = $mediaObjectRepository->find($post_data);

        if($mediaObject != null) {
            $mediaObject->setEstSupprimer(true);
            $mediaObject->setUpdatedAt(new \DateTimeImmutable());
            $mediaObject->setUpdatedBy($user->getId());
            $mediaObjectRepository->save($mediaObject, true);
        }
        
        //return new ResponseApi(true, "Suppression effectuée", $mediaObject);
        return $mediaObject;
    }
}
