<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\Page;

use App\Entity\Page;
use App\Payload\ResponseApi;
use App\Repository\CategorieDocumentRepository;
use App\Repository\PageRepository;
use App\Repository\MediaObjectRepository;
use App\Repository\TagRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Component\String\Slugger\SluggerInterface;
use Symfony\Contracts\HttpClient\HttpClientInterface;

#[AsController]
final class CreatePageRequestAction extends AbstractController
{
    public function __invoke(Request $request, PageRepository $pageRepository, 
        MediaObjectRepository $mediaObjectRepository, SluggerInterface $slugger): mixed
    {
        /** @var \App\Entity\User $user */
        $user = $this->getUser();

        $page = new Page;
        $post_data = json_decode($request->getContent(), true);

        $mediaObject = null;
        if($post_data['mediaObject'] != null && $post_data['mediaObject'] != null) {
            $mediaObject = $mediaObjectRepository->find($post_data['mediaObject']);
        }

        $page->setTitre($post_data['titre']);
        $page->setContenu($post_data['contenu']);
        $page->setEstPubliser($post_data['estPubliser']);
        $page->setEstArchiver($post_data['estArchiver']);
        $page->setAuteur($post_data['auteur']);
        $page->setMediaObject($mediaObject);

        $page->computeSlug($slugger);
        $records = $pageRepository->findBy(['slug'=>$page->getSlug()]);
        $nbRec = count($records);
        if ($nbRec > 0) {
            $slug = $page->getSlug().'-'.mt_rand();
            $page->setSlug($slug);
        }

        $page->setEstSupprimer(false);
        $page->setCreatedAt(new \DateTimeImmutable());
        $page->setUpdatedAt(new \DateTimeImmutable());
        $page->setUpdatedBy($user->getId());
        $page->setCreatedBy($user->getId());
        $pageRepository->save($page, true);
        
        //return new ResponseApi(true, "Thématique créée avec succès !", $page);
        return $page;
    }
}
