<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\Page;

use App\Payload\ResponseApi;
use App\Repository\PageRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Contracts\HttpClient\HttpClientInterface;

#[AsController]
final class DeletePageRequestAction extends AbstractController
{
    public function __invoke(Request $request, HttpClientInterface $client, PageRepository $pageRepository): mixed
    {
        /** @var \App\Entity\User $user */
        $user = $this->getUser();
        
        $post_data = json_decode($request->get('id'), true);
        
        $page = $pageRepository->find($post_data);

        if($page != null) {
            $page->setEstSupprimer(true);
            $page->setUpdatedAt(new \DateTimeImmutable());
            $page->setUpdatedBy($user->getId());
            $pageRepository->save($page, true);
        }
        
        //return new ResponseApi(true, "Suppression effectuée", $page);
        return $page;
    }
}
