<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\Publication;

use App\Payload\ResponseApi;
use App\Repository\PublicationRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Contracts\HttpClient\HttpClientInterface;

#[AsController]
final class DeletePublicationRequestAction extends AbstractController
{
    public function __invoke(Request $request, PublicationRepository $publicationRepository): mixed
    {
        /** @var \App\Entity\User $user */
        $user = $this->getUser();
        
        $post_data = json_decode($request->get('id'), true);
        
        $publication = $publicationRepository->find($post_data);

        if($publication != null) {
            $publication->setEstSupprimer(true);
            $publication->setUpdatedAt(new \DateTimeImmutable());
            $publication->setUpdatedBy($user->getId());
            $publicationRepository->save($publication, true);
        }
        
        //return new ResponseApi(true, "Suppression effectuée", $publication);
        return $publication;
    }
}
