<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\Slider;

use App\Payload\ResponseApi;
use App\Repository\SliderRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Contracts\HttpClient\HttpClientInterface;

#[AsController]
final class DeleteSliderRequestAction extends AbstractController
{
    public function __invoke(Request $request, SliderRepository $sliderRepository): mixed
    {
        /** @var \App\Entity\User $user */
        $user = $this->getUser();
        
        $post_data = json_decode($request->get('id'), true);
        
        $slider = $sliderRepository->find($post_data);

        if($slider != null) {
            $slider->setEstSupprimer(true);
            $slider->setUpdatedAt(new \DateTimeImmutable());
            $slider->setUpdatedBy($user->getId());
            $sliderRepository->save($slider, true);
        }
        
        //return new ResponseApi(true, "Suppression effectuée", $slider);
        return $slider;
    }
}
