<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\Tag;

use App\Entity\Tag;
use App\Repository\TagRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;

#[AsController]
final class CreateTagRequestAction extends AbstractController
{
    public function __invoke(Request $request, TagRepository $tagRepository): mixed
    {
         /** @var \App\Entity\User $user */
         $user = $this->getUser();

        $tag = new Tag;
        $post_data = json_decode($request->getContent(), true);
        
        $tag->setLibelle($post_data['libelle']);
        $tag->setEstSupprimer(false);
        $tag->setCreatedAt(new \DateTimeImmutable());
        $tag->setUpdatedAt(new \DateTimeImmutable());
        $tag->setUpdatedBy($user->getId());
        $tag->setCreatedBy($user->getId());
        $tagRepository->save($tag, true);
        
        //return new ResponseApi(true, "Thématique créée avec succès !", $tag);
        return $tag;
    }
}
