<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\Tag;

use App\Payload\ResponseApi;
use App\Repository\TagRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Contracts\HttpClient\HttpClientInterface;

#[AsController]
final class DeleteTagRequestAction extends AbstractController
{
    public function __invoke(Request $request, HttpClientInterface $client, TagRepository $tagRepository): mixed
    {
        /** @var \App\Entity\User $user */
        $user = $this->getUser();
        
        $post_data = json_decode($request->get('id'), true);
        
        $tag = $tagRepository->find($post_data);

        if($tag != null) {
            $tag->setEstSupprimer(true);
            $tag->setUpdatedAt(new \DateTimeImmutable());
            $tag->setUpdatedBy($user->getId());
            $tagRepository->save($tag, true);
        }
        
        //return new ResponseApi(true, "Suppression effectuée", $tag);
        return $tag;
    }
}
