<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\User;

use App\Entity\User;
use App\Repository\UserRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Component\PasswordHasher\Hasher\UserPasswordHasherInterface;

#[AsController]
final class CreateUserRequestAction extends AbstractController
{
    public function __invoke(Request $request, UserRepository $userRepository, UserPasswordHasherInterface $passwordHasher): mixed
    {
         /** @var \App\Entity\User $currentUser */
         $currentUser = $this->getUser();

        $roles = [];
        $user = new User;
        $post_data = json_decode($request->getContent(), true);
        
        $hashedPassword = $passwordHasher->hashPassword(
            $user,
            $post_data['plainPassword']
        );

        /* chercher à recréer le même utilisateur s'il existe déjà */
        $user = $userRepository->findOneByEmail($post_data['email']);
        if($user == null) {
            $user = new User;
        } 
        /* fin de la recherche */

        $roles[] = $post_data['role'];
        $user->setNom($post_data['nom']);
        $user->setPrenom($post_data['prenom']);
        $user->setEmail($post_data['email']);
        $user->setTel($post_data['tel']);
        $user->setRoles($roles);
        $user->setPassword($hashedPassword);

        $user->setEstSupprimer(false);
        $user->setCreatedAt(new \DateTimeImmutable());
        $user->setUpdatedAt(new \DateTimeImmutable());
        $user->setUpdatedBy($currentUser->getId());
        $user->setCreatedBy($currentUser->getId());
        $userRepository->save($user, true);
        
        //return new ResponseApi(true, "Thématique créée avec succès !", $user);
        return $user;
    }
}
