<?php
// api/src/Controller/CreateMediaObjectAction.php
namespace App\Controller\User;

use App\Payload\ResponseApi;
use App\Repository\UserRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpKernel\Attribute\AsController;
use Symfony\Contracts\HttpClient\HttpClientInterface;

#[AsController]
final class DeleteUserRequestAction extends AbstractController
{
    public function __invoke(Request $request, UserRepository $userRepository): mixed
    {
        /** @var \App\Entity\User $currentUser */
        $currentUser = $this->getUser();
        
        $post_data = json_decode($request->get('id'), true);
        
        $user = $userRepository->find($post_data);

        if($user != null) {
            $user->setEstSupprimer(true);
            $user->setUpdatedAt(new \DateTimeImmutable());
            $user->setUpdatedBy($currentUser->getId());
            $userRepository->save($currentUser, true);
        }
        
        //return new ResponseApi(true, "Suppression effectuée", $user);
        return $user;
    }
}
