<?php

/*
 * This file is part of the API Platform project.
 *
 * (c) Kévin Dunglas <dunglas@gmail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

declare(strict_types=1);

namespace ApiPlatform\Metadata\GraphQl;

use ApiPlatform\State\OptionsInterface;

#[\Attribute(\Attribute::TARGET_CLASS | \Attribute::IS_REPEATABLE)]
final class Subscription extends Operation
{
    public function __construct(
        string $resolver = null,
        array $args = null,
        array $links = null,

        string $shortName = null,
        string $class = null,
        bool $paginationEnabled = null,
        string $paginationType = null,
        int $paginationItemsPerPage = null,
        int $paginationMaximumItemsPerPage = null,
        bool $paginationPartial = null,
        bool $paginationClientEnabled = null,
        bool $paginationClientItemsPerPage = null,
        bool $paginationClientPartial = null,
        bool $paginationFetchJoinCollection = null,
        bool $paginationUseOutputWalkers = null,
        array $order = null,
        string $description = null,
        array $normalizationContext = null,
        array $denormalizationContext = null,
        bool $collectDenormalizationErrors = null,
        string $security = null,
        string $securityMessage = null,
        string $securityPostDenormalize = null,
        string $securityPostDenormalizeMessage = null,
        string $securityPostValidation = null,
        string $securityPostValidationMessage = null,
        string $deprecationReason = null,
        array $filters = null,
        array $validationContext = null,
        $input = null,
        $output = null,
        $mercure = null,
        $messenger = null,
        bool $elasticsearch = null,
        int $urlGenerationStrategy = null,
        bool $read = null,
        bool $deserialize = null,
        bool $validate = null,
        bool $write = null,
        bool $serialize = null,
        bool $fetchPartial = null,
        bool $forceEager = null,
        int $priority = null,
        string $name = null,
        $provider = null,
        $processor = null,
        OptionsInterface $stateOptions = null,
        array $extraProperties = [],
    ) {
        parent::__construct(
            resolver: $resolver,
            args: $args,
            links: $links,
            shortName: $shortName,
            class: $class,
            paginationEnabled: $paginationEnabled,
            paginationType: $paginationType,
            paginationItemsPerPage: $paginationItemsPerPage,
            paginationMaximumItemsPerPage: $paginationMaximumItemsPerPage,
            paginationPartial: $paginationPartial,
            paginationClientEnabled: $paginationClientEnabled,
            paginationClientItemsPerPage: $paginationClientItemsPerPage,
            paginationClientPartial: $paginationClientPartial,
            paginationFetchJoinCollection: $paginationFetchJoinCollection,
            paginationUseOutputWalkers: $paginationUseOutputWalkers,
            order: $order,
            description: $description,
            normalizationContext: $normalizationContext,
            denormalizationContext: $denormalizationContext,
            collectDenormalizationErrors: $collectDenormalizationErrors,
            security: $security,
            securityMessage: $securityMessage,
            securityPostDenormalize: $securityPostDenormalize,
            securityPostDenormalizeMessage: $securityPostDenormalizeMessage,
            securityPostValidation: $securityPostValidation,
            securityPostValidationMessage: $securityPostValidationMessage,
            deprecationReason: $deprecationReason,
            filters: $filters,
            validationContext: $validationContext,
            input: $input,
            output: $output,
            mercure: $mercure,
            messenger: $messenger,
            elasticsearch: $elasticsearch,
            urlGenerationStrategy: $urlGenerationStrategy,
            read: $read,
            deserialize: $deserialize,
            validate: $validate,
            write: $write,
            serialize: $serialize,
            fetchPartial: $fetchPartial,
            forceEager: $forceEager,
            priority: $priority,
            name: $name ?: 'update_subscription',
            provider: $provider,
            processor: $processor,
            stateOptions: $stateOptions,
            extraProperties: $extraProperties,
        );
    }
}
